Get Unit by ID
Get a single Unit by ID.
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
unit_id
ID of the Unit.
Query parameters
returning
Comma-separated list of top-level fields to include in each returned item. Cannot overlap with omit.
omit
Comma-separated list of top-level fields to omit from each returned item. Cannot overlap with returning.
Response
OK
__typename
aliases
Any additional short-form labels that should be recognized in input
archiveReason
archived
conversionFactor
Conversion factor relative to the UnitType's baseUnit. E.g. for a kilometer, the baseUnit is meter
and the conversionFactor is 1000.
createdAt
id
modifiedAt
name
Default long-form identifier, e.g. “meter”.
symbol
Default short-form label, e.g. “m” for meter.
unitType
The unit type this unit belongs to. Units within the same UnitType are inter-convertible.
Errors
400
Unit Get Request Bad Request Error
403
Unit Get Request Forbidden Error
404
Unit Get Request Not Found Error
429
Unit Get Request Too Many Requests Error
500
Unit Get Request Internal Server Error